Table of Contents

## Name

glClearIndex - specify the clear value for the color index buffers

## C Specification

void glClearIndex( GLfloat c )

eqn not supported

## Parameters

c
  Specifies the index used when the color index buffers are cleared. The initial value is 0.

## Description

glClearIndex specifies the index used by glClear to clear the color index buffers. c is not clamped. Rather, c is converted to a fixed-point value with unspecified precision to the right of the binary point. The integer part of this value is then masked with $2 sup m^-^1$, where $m$ is the number of bits in a color index stored in the frame buffer.

## Errors

GL_INVALID_OPERATION is generated if glClearIndex is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_INDEX_CLEAR_VALUE
glGet with argument GL_INDEX_BITS

## See Also

glClear(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also